import React from 'react'
import ComponentExample from 'docs/src/components/ComponentDoc/ComponentExample'
import ContributionPrompt from 'docs/src/components/ComponentDoc/ContributionPrompt'
import ExampleSection from 'docs/src/components/ComponentDoc/ExampleSection'

const DropdownContentExamples = () => (
  <ExampleSection title='Content'>
    <ComponentExample
      title='Header'
      description='A dropdown menu can contain a header.'
      examplePath='modules/Dropdown/Content/DropdownExampleHeader'
    >
      <ContributionPrompt>
        Dropdown state is not fully managed when using the subcomponent API. The
        shorthand props API fully manages state but needs to be extended to
        support the markup shown here.
      </ContributionPrompt>
    </ComponentExample>
    <ComponentExample
      title='Divider'
      description='A dropdown menu can contain dividers to separate related content.'
      examplePath='modules/Dropdown/Content/DropdownExampleDivider'
    >
      <ContributionPrompt>
        Dropdown state is not fully managed when using the subcomponent API. The
        shorthand props API fully manages state but needs to be extended to
        support the markup shown here.
      </ContributionPrompt>
    </ComponentExample>
    <ComponentExample
      title='Icon'
      description='A dropdown menu can contain an icon.'
      examplePath='modules/Dropdown/Content/DropdownExampleIcon'
    >
      <ContributionPrompt>
        Dropdown state is not fully managed when using the subcomponent API. The
        shorthand props API fully manages state but needs to be extended to
        support the markup shown here.
      </ContributionPrompt>
    </ComponentExample>
    <ComponentExample
      title='Description'
      description='A dropdown menu can contain a description.'
      examplePath='modules/Dropdown/Content/DropdownExampleDescription'
    >
      <ContributionPrompt>
        Dropdown state is not fully managed when using the subcomponent API. The
        shorthand props API fully manages state but needs to be extended to
        support the markup shown here.
      </ContributionPrompt>
    </ComponentExample>
    <ComponentExample
      title='Label'
      description='A dropdown menu can contain a label.'
      examplePath='modules/Dropdown/Content/DropdownExampleLabel'
    >
      <ContributionPrompt>
        Dropdown state is not fully managed when using the subcomponent API. The
        shorthand props API fully manages state but needs to be extended to
        support the markup shown here.
      </ContributionPrompt>
    </ComponentExample>
    <ComponentExample
      title='Message'
      description='A dropdown menu can contain a message.'
      examplePath='modules/Dropdown/Content/DropdownExampleMessage'
    >
      <ContributionPrompt>
        Dropdown state is not fully managed when using the subcomponent API. The
        shorthand props API fully manages state but needs to be extended to
        support the markup shown here.
      </ContributionPrompt>
    </ComponentExample>
    <ComponentExample
      title='Floated Content'
      description='A dropdown menu can contain floated content.'
      examplePath='modules/Dropdown/Content/DropdownExampleFloatedContent'
    >
      <ContributionPrompt>
        Dropdown state is not fully managed when using the subcomponent API. The
        shorthand props API fully manages state but needs to be extended to
        support the markup shown here.
      </ContributionPrompt>
    </ComponentExample>
    <ComponentExample
      title='Input'
      description='A dropdown menu can contain an input.'
      examplePath='modules/Dropdown/Content/DropdownExampleInput'
    >
      <ContributionPrompt>
        Dropdown state is not fully managed when using the subcomponent API. The
        shorthand props API fully manages state but needs to be extended to
        support the markup shown here.
      </ContributionPrompt>
    </ComponentExample>
    <ComponentExample
      title='Image'
      description='A dropdown menu can contain an image.'
      examplePath='modules/Dropdown/Content/DropdownExampleImage'
    >
      <ContributionPrompt>
        Dropdown state is not fully managed when using the subcomponent API. The
        shorthand props API fully manages state but needs to be extended to
        support the markup shown here.
      </ContributionPrompt>
    </ComponentExample>
  </ExampleSection>
)

export default DropdownContentExamples
